summaryrefslogtreecommitdiffstats
path: root/desktop/crystal
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/crystal')
-rw-r--r--desktop/crystal/README18
-rw-r--r--desktop/crystal/crystal.SlackBuild53
-rw-r--r--desktop/crystal/crystal.info8
-rw-r--r--desktop/crystal/slack-desc11
4 files changed, 90 insertions, 0 deletions
diff --git a/desktop/crystal/README b/desktop/crystal/README
new file mode 100644
index 0000000000..e1524a6868
--- /dev/null
+++ b/desktop/crystal/README
@@ -0,0 +1,18 @@
+Crystal is a kwin window decoration theme which offers you (pseudo) transparent
+titlebar, buttons and borders. It also has some little usuability enhancements.
+
+Main features:
+* The style grabs your wallpaper and uses it as the deco background.
+ It has several blending modes, i.e. it can fade the background
+ into the defined title bar color, or it can brighten or darken
+ the wallpaper, as well as blur the source image to simulate glass.
+* Choose the blending color of the buttons.
+* You can define the title bar height and border size of the windows.
+* Right click on minimize button toggles shade mode.
+* Middle click on minimize button sends window to below.
+* Double click on program symbol closes window.
+* Support for button themes. Basic button theme is included, feel
+ free to swamp me with cool themes.
+* Can show a tooltip of the caption
+* Mouse-wheel on the title bar to 'scroll' to all opened windows of
+ the same desktop.
diff --git a/desktop/crystal/crystal.SlackBuild b/desktop/crystal/crystal.SlackBuild
new file mode 100644
index 0000000000..5852da8569
--- /dev/null
+++ b/desktop/crystal/crystal.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# SlackBuild script for crystal
+# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+
+set -e
+
+PRGNAM=crystal
+VERSION=1.0.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING INSTALL README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar -xjvf $CWD/*-$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/opt/kde \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/crystal/crystal.info b/desktop/crystal/crystal.info
new file mode 100644
index 0000000000..3d9134ee01
--- /dev/null
+++ b/desktop/crystal/crystal.info
@@ -0,0 +1,8 @@
+PRGNAM="crystal"
+VERSION="1.0.4"
+HOMEPAGE="http://www.kde-look.org/content/show.php?content=13969"
+DOWNLOAD="http://www.kde-look.org/content/download.php?content=13969&id=1"
+MD5SUM="250358bab960e2624b0865fcfc21a606"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/desktop/crystal/slack-desc b/desktop/crystal/slack-desc
new file mode 100644
index 0000000000..73a6cd0038
--- /dev/null
+++ b/desktop/crystal/slack-desc
@@ -0,0 +1,11 @@
+crystal: crystal (kwin window decoration theme)
+crystal:
+crystal: Crystal is a native kwin window decoration theme for KDE 3.2+ which
+crystal: offers you (pseudo) transparent titlebars and buttons. It also has
+crystal: some little usability enhancements.
+crystal:
+crystal: Homepage: http://www.kde-look.org/content/show.php?content=13969
+crystal:
+crystal:
+crystal:
+crystal: